[groonga-commit:2951] ranguba/ranguba [master] add -j4 option by default.

null+ranguba at clear-code.com null+ranguba at clear-code.com
Sat Dec 25 21:20:21 EST 2010


Kouhei Sutou	2010-12-26 02:20:21 +0000 (Sun, 26 Dec 2010)

  New Revision: 936035948bcb954cac16e5c5cc9053ff55a6a7a8

  Log:
    add -j4 option by default.

  Modified files:
    installer/install_sources_and_gems.sh

  Modified: installer/install_sources_and_gems.sh (+5 -3)
===================================================================
--- installer/install_sources_and_gems.sh    2010-12-26 01:15:50 +0000 (648fc8c)
+++ installer/install_sources_and_gems.sh    2010-12-26 02:20:21 +0000 (0ecf4fa)
@@ -2,6 +2,8 @@
 
 set -e
 
+MAKE="make -j4"
+
 function abort() {
     local status=$?
     if test $# = 0; then
@@ -89,8 +91,8 @@ function do_install1() {
 
     echo -n "Building $base..."
     if test -f "$build_dir/$base/Makefile"; then
-	test "$patched" = yes && make -C "build/$base" prereq 1>&$log 2>&1 || true
-	make -C "$build_dir/$base" 1>&$log 2>&1 || abort
+	test "$patched" = yes && $MAKE -C "build/$base" prereq 1>&$log 2>&1 || true
+	$MAKE -C "$build_dir/$base" 1>&$log 2>&1 || abort
     elif test -f "$build_dir/$base/Rakefile"; then
 	ruby -C "$build_dir/$base" -S rake 1>&$log 2>&1 || abort
     fi
@@ -98,7 +100,7 @@ function do_install1() {
 
     echo -n "Installing $base..."
     if test -f "$build_dir/$base/GNUmakefile" -o -f "$build_dir/$base/Makefile"; then
-	make -C "$build_dir/$base" prefix="$PREFIX" install 1>&$log 2>&1 || abort
+	$MAKE -C "$build_dir/$base" prefix="$PREFIX" install 1>&$log 2>&1 || abort
     elif test -f "$build_dir/$base/Rakefile"; then
 	ruby -C "$build_dir/$base" -S rake install 1>&$log 2>&1 || abort
     fi



More information about the groonga-commit mailing list